<?php
namespace App;

trait Helpers {
    /*
    * Função para limpar o body da resposta da requisição
    * @param string $body
    */
    public function clean_body($body)
    {
        $body = preg_replace('/([{,])(\s*)([A-Za-z0-9_\-]+?)\s*:/', '$1"$3":', $body);
        $body = str_replace("\n", "", str_replace("\r", "", $body));
        $body = str_replace('﻿', '', $body);
        return $body;
    }

    /*
    * Função para tratar leitor de codigo de barras
    * @param string $body
    */
    public function trata_tombamento($codigo) {
            // Remove aspas
            $codigoTratado = str_replace('"', '', $codigo);

            // Encontra todos os trechos com 12 caracteres numéricos
            preg_match_all('/\b\d{12}\b/', $codigoTratado, $output_array);

            // Remove os zeros de cada número, adiciona "17" antes dos primeiros 5 números e remove o último dígito
            $items = array_map(function ($number) {
                // Remover os zeros
                $number = ltrim($number, '0');

                $number = '17' . substr($number, 0, 5) . substr($number, 5);
                // Remove o último número
                return substr($number, 0, -1);
            }, $output_array[0]);


            $codigoTratado = $items[0] ?? null;
            return $codigoTratado;
    }
}
