<?php

namespace App\Http\Controllers;

use App\Models\ConsumoTeste;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use DOMDocument;

class ConsumoTesteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('pages.consumo-teste.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */

     public function create()
     {
         return view('pages.consumo-teste.create');
     }
  

     public function store(Request $request)
    {
        
    // Obtém o conteúdo do arquivo
    $htmlFile = $request->file('html_file');
    $htmlContent = file_get_contents($htmlFile->getRealPath());

    // Remove aspas
    $file = str_replace('"', '', $htmlContent);

    // Encontra todos os trechos com 12 caracteres numéricos
    preg_match_all('/\b\d{12}\b/', $file, $output_array);

    // Remove os zeros de cada número
    $items = array_map(function ($number) {
        return ltrim($number, '0');
    }, $output_array[0]);

    // Retorna a lista com os números
    return view('pages.consumo-teste.result', ['items' => $items]);

        // Carregar o conteúdo HTML no DOMDocument
        $dom = new DOMDocument();
        libxml_use_internal_errors(true); // Suprimir erros de carregamento de HTML malformado
        $dom->loadHTML($htmlContent);
        libxml_clear_errors();

        // Supondo que a coluna "Code" está na segunda coluna de uma tabela
        // Ajustar o XPath conforme a estrutura real do seu HTML
        $xpath = new \DOMXPath($dom);
        $codeValues = [];

        // Procurar todas as células (td) na segunda coluna das tabelas
        $rows = $xpath->query('//tr');
        foreach ($rows as $row) {
            $cells = $row->getElementsByTagName('td');
            if ($cells->length > 1) {
                $codeValues[] = $cells->item(1)->nodeValue; // Segunda coluna
            }
        }

        // Visualizar os valores extraídos da coluna "Code"
        dd($codeValues);

        // Realizar consultas ao banco de dados para cada valor de 'code'
        foreach ($codeValues as $code) {
            $result = DB::table('your_table')->where('column_name', $code)->first();

            // Faça algo com o resultado
            if ($result) {
                // Processar o resultado
                echo 'Registro encontrado: ' . $result->column_name . '<br>';
            } else {
                // Handle caso o resultado não seja encontrado
                echo 'Nenhum registro encontrado para o valor: ' . $code . '<br>';
            }
        }

        return back()->with('success', 'Arquivo HTML processado com sucesso.');
    
     }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
   

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\ConsumoTeste  $consumoTeste
     * @return \Illuminate\Http\Response
     */
    public function show(ConsumoTeste $consumoTeste)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\ConsumoTeste  $consumoTeste
     * @return \Illuminate\Http\Response
     */
    public function edit(ConsumoTeste $consumoTeste)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\ConsumoTeste  $consumoTeste
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ConsumoTeste $consumoTeste)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\ConsumoTeste  $consumoTeste
     * @return \Illuminate\Http\Response
     */
    public function destroy(ConsumoTeste $consumoTeste)
    {
        //
    }
}
