<?php

namespace App\Http\Controllers;

use App\Models\Setor;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use App\Helpers;
use stdClass;

class SetorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $setores = Http::sispat()->get('setores.php');
        $sanitized_body = Helpers::clean_body($setores->body());
        $setores_body = explode("|", $sanitized_body);

        $setores = [];
        foreach($setores_body as $setor) {
            if(empty($setor)) {
                continue;
            }
            $temp_setor = explode(":", $setor);
            $setor = new stdClass();
            $setor->sigla = $temp_setor[0];
            $setor->descricao = $temp_setor[1];
            $setores[] = $setor;
        }
        $setores = collect($setores);
        // dd($setores);
        // dd($setores->toArray());
        foreach($setores as $setor) {
            $sectorExists = Setor::search(["sigla" => $setor->sigla, "descricao" => $setor->descricao])->first();

            if($sectorExists == null) {
                Setor::create([
                    "sigla" => $setor->sigla,
                    "descricao" => $setor->descricao
                ]);
            }

        }

        return redirect()->route('setores.index')->with([
            "success" => "Setores atualizados"
        ]);

    }
}
