<?php

namespace App\Http\Controllers;

use App\Http\Services\LdapConnectService;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UpdateUserAd extends Controller
{
    public function edit()
    {
        # Para exibir o nome na mensagem.
        $name = Auth::user()->name;
        return view('ad.update', compact('name'));
    }

    public function update(Request $request)
    {

        # Valida a Request
        $request->validate([
        'login' => 'string|required|min:3',
        'password' => 'string|required'
        ]);

        # Cria uma nova instância do serviço
        $ldap = new LdapConnectService();
        $bind = $ldap->bind($request->login, $request->password);
        # Verifica se o retorno do bind foi um erro

        if(gettype($bind) == "string") {
            # Retorna para o login com a mensagem de error
            return redirect()->back()->withErrors(['error' => $bind]);
        }
        # Faz o login e o update do usuário no banco
        $login = $ldap->createOrUpdateLogin('\App\Models\User', ['username' => $request->login, 'has_ad' => now(), 'password' => null], ["id" => Auth::user()->id]);
        # Verifica se deu erro ao atualizar o user ou no login
        if(gettype($login) == "string") {
            # Caso tenha dado error ele retorna
            return redirect()->back()->withErrors(["Geral" => $login]);
        };
        # Redireciona para a rota dashboard
        return redirect(RouteServiceProvider::HOME);
    }
}
