<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Setor extends Model
{
    use HasFactory;

    public $timestamps = true;

    protected $fillable = [
        'sigla',
        'descricao'
    ];

    public function scopeSearch($query, array $search)
    {
        if($search == null) {
            return $query;
        }

        if(!isset($search["sigla"])) {
            return $query->where('descricao', 'like', '%' . $search["descricao"] . '%');
        }


        return $query->where(['sigla' => $search['sigla'], 'descricao' => $search['descricao']]);
    }

}
