<?php

use App\Models\CadastroBem;
use App\Models\Inventario;
use App\Models\Setor;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCadastroBemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cadastro_bems', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Setor::class)->constrained();
            $table->foreignIdFor(Inventario::class)->constrained()->onDelete('cascade');
            $table->string("tombamento", 12);
            $table->string('descricao', 255);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cadastro_bems');
    }
}
