@extends('index')

@section('content')
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Inventário</h1>

    </div>
    {{-- <div>
    <form action="" method="GET">
        <input type="text" name="pesquisar" placeholder="Digite o nome">
        <button class="btn btn-primary  btn-sm">Pesquisar</button>
        <a type="button" href="{{route('inventarios.create')}}" class="btn btn-success float-end">
            Criar Novo Fluxo
        </a>
    </form>
  </div> --}}
    <main class="d-flex flex-column w-100">
        <div>
            <a type="button" href="{{ route('inventarios.create') }}" class="btn btn-success float-end">
                Criar Novo Fluxo
            </a>
        </div>

        <div class="table-responsive mt-4">
            @if ($inventarios->isEmpty())
                <p>Não existe dados</p>
            @else
                <table class="table table-striped table-sm">
                    <thead>
                        <tr>

                            <th scope="col">Setor</th>
                            <th class="text-center">Inicio</th>
                            <th class="text-center">Última alteração</th>
                            <th class="text-center">Itens</th>
                            <th scope="col" class="text-center">Ações</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($inventarios as $inventario)
                            <tr>
                                <td>{{ $inventario->setor->sigla }}: {{ $inventario->setor->descricao }}</td>
                                <td class="text-center">{{ date('d/m/Y', strtotime($inventario->created_at)) }}</td>
                                <td class="text-center">{{ date('d/m/Y', strtotime($inventario->updated_at)) }}</td>
                                <td class="text-center">{{ $inventario->bens->count() }}</td>

                                <td class="d-flex align-items-center justify-content-center">
                                    <a href="{{ route('inventarios.show', $inventario->id) }}" class="btn btn-dark btn-sm">
                                        Visualizar
                                    </a>
                                    <a href="{{ route('inventarios.edit', $inventario->id) }}"
                                        class="btn btn-light btn-sm">Editar</a>

                                    <meta name='csrf-token' content=" {{ csrf_token() }}" />
                                    <form action="{{ route('inventarios.destroy', ['inventario' => $inventario->id]) }}"
                                        onsubmit="return confirm('Tem certeza que deseja deletar este fluxo?')"
                                        method="POST">
                                        @csrf()
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm">
                                            Excluir
                                        </button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            @endif
        </div>
    </main>

@endsection
