@extends('index')

@section('content')
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h1 class="h2">Usuários</h1>
</div>
<div>
    <form action="" method="GET">
        <input type="text" name="pesquisar" placeholder="Digite o nome">
        <button class="btn btn-primary btn-sm">Pesquisar</button>
        <a type="button" href="{{ route('users.create') }}" class="btn btn-success float-end">
            Criar Novo Usuário
        </a>
    </form>
</div>

<div class="table-responsive mt-4">
    @if ($users->isEmpty())
        <p>Não existe dados</p>
    @else
        <table class="table table-striped table-sm">
            <thead>
                <tr>
                    <th scope="col">Nome</th>
                    <th scope="col">E-mail</th>
                    <th scope="col">Tipo de Usuário</th>
                    <th class="text-center" scope="col">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($users as $user)
                    <tr>
                        <td>{{ $user->name }}</td>
                        <td>{{ $user->email }}</td>
                        <td>{{ $user->role->role }}</td>
                        <td class="text-center">
                            <a href="{{ route('users.edit', $user->id) }}" class="btn btn-light btn-sm">Editar</a>
                            <meta name='csrf-token' content="{{ csrf_token() }}" />
                            <a onclick="deleteRegistroPaginacao('{{ route('users.delete') }}', {{ $user->id }})"
                               class="btn btn-danger btn-sm">
                               Excluir
                            </a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>
@endsection
