<!DOCTYPE html>
<html>

<head>
    <title>Leitura de Código de Barras</title>
    
    <script src="<?php echo e(asset('js/quagga.min.js')); ?>"></script>
</head>

<body>

    <div>
        <input type="text" id="code" placeholder="Patrimônio" />
        <button id="clear_btn" style="display: none">clear</button>
        <button id="leitor_btn">Leitor</button>
        <button id="">buscar</button>
        <div id="interactive" class="viewport" style="display: none"></div>
        <script>
            let detect = true
            const code = document.getElementById('code')
            const leitor_btn = document.getElementById('leitor_btn')
            const interactive = document.getElementById('interactive')
            const clear_btn = document.getElementById('clear_btn')

            leitor_btn.addEventListener("click", leitor)
            clear_btn.addEventListener("click", clear)

            function lock() {
                detect = false
                leitor_btn.style.display = 'none'
                interactive.style.display = 'none'
                clear_btn.style.display = 'block'
            }

            function unlock() {
                detect = true
                leitor_btn.style.display = 'block'
                clear_btn.style.display = 'none'
            }

            function clear() {
                code.value = ''
                unlock()
            }


            code.addEventListener('change', function() {
                if (code.value.length > 0) {
                    lock()
                    return
                }
                unlock()
            })

            function leitor() {
                interactive.style.display = 'block'
                leitor_btn.style.display = 'none'
                Quagga.init({
                    inputStream: {
                        name: "Live",
                        type: "LiveStream",
                        target: document.querySelector('#interactive') // Or '#yourElement' (optional)
                    },
                    decoder: {
                        readers: ["code_128_reader"] // Você pode adicionar outros leitores aqui
                    }
                }, function(err) {
                    if (err) {
                        console.log(err);
                        return;
                    }
                    Quagga.start();
                });
                Quagga.onDetected(function(data) {
                    if (!detect) {
                        return;
                    }
                    code.value = data.codeResult.code
                    lock()
                });
            }
        </script>

</body>

</html>
<?php /**PATH D:\Funarte\Desenvolvimento\gestao_inventario\resources\views/pages/consumo-teste/leitor-codigo-barras.blade.php ENDPATH**/ ?>